
#include "core_pins.h"
#include "AD1.h"
#include "AD2.h"

const uint8_t analogStaticGroupPin[] = {0,1,0,1};

int analogRead(uint8_t pin)
{
	uint8_t GroupIndex;
	AD1_TResultData MeasuredValues[AD1_STATIC_GROUP_0_SAMPLE_COUNT];

	GroupIndex = analogStaticGroupPin[pin];	// select static group
	if(pin <2){
		AD1_SelectSampleGroup(AD1_DeviceData, GroupIndex);
		AD1_StartSingleMeasurement(AD1_DeviceData);
		while (!AD1_GetMeasurementCompleteStatus(AD1_DeviceData)) {}; // Wait for conversion completeness
		AD1_GetMeasuredValues(AD1_DeviceData, (LDD_TData *)MeasuredValues);  /* Read measured values */
		return MeasuredValues[0];
	}else{
		AD2_SelectSampleGroup(AD2_DeviceData, GroupIndex);
		AD2_StartSingleMeasurement(AD2_DeviceData);
		while (!AD2_GetMeasurementCompleteStatus(AD2_DeviceData)) {}; // Wait for conversion completeness
		AD2_GetMeasuredValues(AD2_DeviceData, (LDD_TData *)MeasuredValues);  /* Read measured values */
		return MeasuredValues[0];
	}
}


void analogReference(uint8_t type)
{
/*
	if (type) {
		// internal reference requested
	} else {
		// vcc or external reference requested
	}
*/
}

