
#include "arduinoApp.h"

//--------- Analog Write

int ledPin = 6;                 // LED connected to this digital pin number

void setup()
{
}

void loop()
{
	// LED will flash from dim to bright
	for(int duty=0; duty < 160; duty+=4){
	  analogWrite(ledPin, duty);
	  delay(20);
	}

	for(int duty=156; duty >=4; duty-=4){
	  analogWrite(ledPin, duty);
	  delay(20);
	}

	digitalWrite(ledPin, LOW);		// sets the LED off
	delay(1000);
}


/*

//--------- Blinking LED Test

int ledPin = 6;                 // LED connected to this digital pin number

void setup()
{
	Serial.begin(115200);		// initialize the uart to 115200 baud
	pinMode(ledPin, OUTPUT);    // sets the digital pin as output
	Serial.println("LED blinking ON and OFF every second..");		// send string out serial port
}

void loop()
{
	digitalWrite(ledPin, HIGH);		// sets the LED on
	delay(1000);                  	// waits for a second

	digitalWrite(ledPin, LOW);		// sets the LED off
	delay(1000);                  	// waits for a second
}


//--------- Push Button Test

int ledPin = 6;	// LED connected to this digital pin number
int inPin = 4;  // pushbutton connected to this digital pin number
int val = 0;    // variable to store the read value

void setup()
{
  pinMode(ledPin, OUTPUT);      // sets the digital pin 13 as output
  pinMode(inPin, INPUT);      // sets the digital pin 7 as input
}

void loop()
{
  val = digitalRead(inPin);   // read the input pin
  digitalWrite(ledPin, val);    // sets the LED to the button's value
}


//--------- Timer Test

unsigned long time;

void setup(){
  Serial.begin(115200);
}
void loop(){
  Serial.print("Ms: ");
  time = millis();
  //prints time since program started in milliseconds
  Serial.println(time);
  Serial.print("uS: ");
  time = micros();
  //prints time since program started in microseconds
  Serial.println(time);
  // wait a second so as not to send massive amounts of data
  delay(1000);
}


//--------- microsecond delay test

int outPin = 6;                 // digital output pin

void setup()
{
  pinMode(outPin, OUTPUT);      // sets the digital pin as output
}

void loop()
{
  digitalWrite(outPin, HIGH);   // sets the pin on
  delayMicroseconds(50);        // pauses for 50 microseconds
  digitalWrite(outPin, LOW);    // sets the pin off
  delayMicroseconds(50);        // pauses for 50 microseconds
}


//--------- i2c LCD Display Test

#include "../lib/Grove/rgb_lcd.h"

rgb_lcd lcd;

const int colorR = 255;
const int colorG = 0;
const int colorB = 0;

void setup()
{
    // set up the LCD's number of columns and rows:
    lcd.begin(16, 2);

    lcd.setRGB(colorR, colorG, colorB);

    // Print a message to the LCD.
    lcd.print("hello!");

    delay(1000);
}

void loop()
{
    // set the cursor to column 0, line 1
    // (note: line 1 is the second row, since counting begins with 0):
    lcd.setCursor(0, 1);
    // print the number of seconds since reset:
    lcd.print(millis()/1000);

    delay(100);
}



//--------- Rotary Angle Sensor Test

int analogPin = 0;     // Rotary Angle Sensor connected to this analog pin
int val;           // variable to store the value read

void setup()
{
  Serial.begin(115200);          //  setup serial
}

void loop()
{
	val = analogRead(analogPin);    // read the input pin
	Serial.println(val);			// display on serial terminal

	delay(1000);	// wait 1 second
}



//--------- Analog Write

int ledPin = 6;                 // LED connected to this digital pin number

void setup()
{
}

void loop()
{
	// LED will flash from dim to bright
	for(int duty=0; duty < 160; duty+=4){
	  analogWrite(ledPin, duty);
	  delay(20);
	}

	for(int duty=156; duty >=4; duty-=4){
	  analogWrite(ledPin, duty);
	  delay(20);
	}

	digitalWrite(ledPin, LOW);		// sets the LED off
	delay(1000);
}



 */
